# Nace

Nace is a small tool to look up european classifications of economic activities. It supports for now Revision 2 from 2008.
Full list of classifications can be [found here](http://ec.europa.eu/eurostat/ramon/nomenclatures/index.cfm?TargetUrl=LST_NOM_DTL&StrNom=NACE_REV2&StrLanguageCode=EN&IntPcKey=&StrLayoutCode=HIERARCHIC&IntCurrentPage=1).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'nace'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install nace

## Usage

Look up name of given code of classification

```ruby
Nace::Revision2.name_for("G.47.9")
# => "Retail trade not in stores, stalls or markets"
```

Look up code of given name of classification.

```ruby
Nace::Revision2.code_for("Retail trade not in stores, stalls or markets")
# => "G.47.9"
```

There is a functionality to browse through the lists too. The `look_up` method will always returns items of the next lower level of classification.
If none code given, look up will return root classifications.

```ruby
Nace::Revision2.look_up
# => {"A"=>"Agriculture, forestry and fishing", "B"=>"Mining and quarrying", "C"=>"Manufactoring", "D"=>"Electricity, gas, steam and air conditioning supply", ... }

Nace:Revision2.look_up("S")
# => {"S.94"=>"Activities of membership organisations", "S.95"=>"Repair of computers and personal and household goods", "S.96"=>"Other personal service activities"}
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/nace. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

